> ## Documentation Index
> Fetch the complete documentation index at: https://duxweb-22.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 文章详情



## OpenAPI

````yaml GET /content/article/{id}
openapi: 3.1.0
info:
  title: DuxCMS
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: 内容
paths:
  /content/article/{id}:
    get:
      tags:
        - 内容
      summary: 文章详情
      parameters:
        - name: id
          in: path
          description: 文章 id
          required: true
          example: '1'
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Accept
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          example: >-
            Bearer
            eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJtZW1iZXIiLCJpYXQiOjE2OTk5NDg3ODYsImV4cCI6MTcwMjU0MDc4NiwiaWQiOjgsInBhc3N3b3JkIjoiJDJ5JDEwJDNjc3ZFM0xMN01aOWRUSGk0dWJlZ3Vqd3J6M25vMnVhYmdhUHd3TEdSVzg3NWFEU0NcL1JTUyJ9.yL2N-o6WJZUZOdlpIdfN8kbLSdkAhTW49FwdKYR0Gjo
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: 文章 id
                      source:
                        type: 'null'
                        description: 来源名称
                      source_avatar:
                        type: 'null'
                        description: 来源头像
                      title:
                        type: string
                        description: 文章标题
                      keywords:
                        type: 'null'
                        description: 关键词
                      descriptions:
                        type: string
                        description: 描述
                      content:
                        type: string
                        description: 正文内容
                      images:
                        type: array
                        items:
                          type: string
                        description: 封面图集
                      view:
                        type: integer
                        description: 浏览量
                      time:
                        type: string
                        description: 发布时间
                      extend:
                        type:
                          - object
                          - 'null'
                        properties: {}
                        x-apifox-orders: []
                        description: 扩展数据
                        x-apifox-ignore-properties: []
                    required:
                      - id
                      - source
                      - source_avatar
                      - title
                      - keywords
                      - descriptions
                      - content
                      - images
                      - view
                      - time
                      - extend
                    x-apifox-orders:
                      - id
                      - source
                      - source_avatar
                      - title
                      - keywords
                      - descriptions
                      - content
                      - images
                      - view
                      - time
                      - extend
                    x-apifox-ignore-properties: []
                  meta:
                    type: array
                    items:
                      type: string
                required:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-orders:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-ignore-properties: []
              examples:
                '1':
                  summary: 成功示例
                  value:
                    code: 200
                    message: ok
                    data:
                      id: 1
                      source: null
                      source_avatar: null
                      title: 欢迎使用 duxcms 内容管理系统
                      keywords: null
                      descriptions: duxcms 是一款简单、易用强大的内容管理系统。
                      content: >-
                        <div class="typo" style="font-size: 18px; line-height:
                        1.8em; letter-spacing: .1em;"><p style="margin: 1.5em
                        5px;">duxcms 是一款简单、易用强大的内容管理系统。</p></div>
                      images: []
                      view: 1
                      time: '2023-12-14 15:18:32'
                      collect: 0
                      comment: 0
                      praise: 0
                      extend: null
                    meta: []
      deprecated: false
      security: []

````